#include<bits/stdc++.h>
using namespace std;
int t,n;
set<int> p;
int main(){
    cin>>t;
    while(t--){
        cin>>n;
        if(n<=10){
            cout<<n<<endl;
        }
        else if(n<=100){
           for(int i=n;i>=1;i--){
            p.insert((i%10)*(i/10));
           }
           cout<<p.size()<<endl;
        }
        else if(n<=10000){
            for(int i=n;i>=1;i--){
                p.insert((i%10)*((i%100)/10)*((i%1000)/100)*(i/1000));
            }
            cout<<p.size()<<endl;
        }
        p.clear();
    }
    return 0;
}